Hermos API

List Products

GET/products

Authorization

AuthorizationBearer <token>

In: header

Query Parameters

cursor?string

Opaque signed cursor. Return it unchanged; valid for 24 hours.

Length1 <= length <= 8192
limit?integer
Range1 <= value <= 100
Default50

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/products"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "livemode": true,      "reference": "string",      "name": "string",      "status": "draft",      "payment_setup_id": "eeebd449-6bf5-4c81-91bb-f9326f00a5fa",      "checkout_domain_id": "50a84a9f-3e1a-4519-9a3e-cdd7e6b7c9e3",      "checkout_address": {        "hostname": "string",        "path": "string",        "url": "string",        "shared": true,        "company_reference": "string"      },      "checkout_address_choice": "domain",      "copied_from_product_id": "50620a4c-e659-4aef-b3f0-86ac45df597a",      "default_offer": "486a2905-1481-4edc-988a-af69818a866a",      "kind": "standard",      "description": "string",      "fulfilment_type": "services",      "bundle_components": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "product_id": "0d012afa-f885-4e65-aeca-37e27701e2d1",          "plan_id": "00713021-9aea-41da-9a88-87760c08fa72",          "split_basis_points": 1,          "position": 0        }      ],      "archived_at": "2019-08-24T14:15:22Z",      "archived_by": {        "actor_type": "string",        "principal_id": "string"      },      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "pagination": {    "next_cursor": "string",    "has_more": true,    "as_of": "2019-08-24T14:15:22Z"  },  "request_id": "266ea41d-adf5-480b-af50-15b940c2b846",  "source": "primary"}